<!DOCTYPE html>
<html>
    <head>
        <style>
            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
                font-size: 12px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
            }

            html body {
                font-size: 12px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            h1 {
                font-family: 'Helvetica', sans-serif;
                text-align: center;
                font-size: 25px!important;
                margin-bottom: 30px;
            }

            h3 {
                margin-top: 5px;
                margin-bottom: 5px;
                font-size: 18px;
            }

            .padding-md {
                padding: 7px;
            }

            .pull-left {
                float: left;
            }

            .border {
                border: 1px solid #eee;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
                border-bottom: 0!important;
                border-left: 0!important;
            }
            table th {
                background: #eee;
                text-align: center;
                font-weight: bold;
                padding: 5px;
                border-bottom: 1px solid #eee;
                border-left: 1px solid #eee;
            }
            table tr td {
                padding: 7px;
                border-bottom: 1px solid #eee;
                border-left: 1px solid #eee;
            }

        </style>
    </head>
    <body>
        <table class="" style="border:0!important;">
            <tr>
                <td style="width: 50%;border: 0!important">
                    <img src="<?php echo dirname(__FILE__) ?>/assets/logo.png" style="width: 7.5cm">
                </td>
                <td style="width: 50%;border: 0!important;">
                    <div style='border-bottom: 1px solid #eee; padding-bottom: 7px;'>
                        <b>FATTURA:</b><br/>
                        N. <?php echo $fattura->nFattura ?> del <?php echo date("d/m/Y", strtotime($fattura->dataFattura)) ?>
                    </div>

                </td>
            </tr>
            <tr>
                <td style="border: 0!important;">
                    RED STAMP SAS di Redaelli Simone<br/>
                    Via Galileo Galilei 15/D<br/>
                    20856 Correzana (MB)<br/>
                    Partita I.V.A.: 04634910964<br/>
                    Codice fiscale: 04634910964
                </td>
                <td style="border: 0!important;">
                    <b>Destinatario:</b><br/>
                    <?php echo $fattura->ragioneSociale ?><br/>
                    <?php echo $fattura->indirizzo . ", " . $fattura->comune . " (" . $fattura->provincia . ")" ?><br/>
                    Partita I.V.A.: <?php echo $fattura->pIVA ?><br/>
                    Codice Fiscale: <?php echo $fattura->codiceFiscale ?>
                </td>
            </tr>
        </table>
        <div class="clearfix"></div>

        <table style="margin-top: 15px" class="border">
            <tr>
                <th style="width: 60%; text-align: left">Descrizione dei beni</th>
                <th style="width: 5%; text-align: right">Quantit&agrave;</th>
                <th style="width: 15%; text-align: right">Prezzo</th>
                <th style="width: 5%; text-align: right">IVA<br/>%</th>
                <th style="width: 15%; text-align: right">Importo<br />Netto</th>
            </tr>
            <?php
            $num = 0;
            if ($fattura->prodotti) {
                ?>

                <?php
                foreach ($fattura->prodotti as $key => $bolla) {
                    $db = JFactory::getDBO();
                    $query = $db->getQuery(true);
                    $query->select("*")
                            ->from("#__redstamp_bolle")
                            ->where("idBolla = " . $key);
                    $db->setQuery($query);
                    $datiBolla = $db->loadObject();
                    ?>
                    <?php if ((count($fattura->prodotti) == 1) && ($key == 0)) { ?>

                        <?php
                    } else {
                        $num++;
                        ?>
                        <tr>
                            <?php if ($key != 0) { ?>
                                <td><i>Rif. ddt <?php echo $datiBolla->progressivo; ?> del <?php echo JHTML::_('date', $datiBolla->dataRitiro, 'd/m/Y'); ?></i></td>
                            <?php } else { ?>
                                <td><i>Aggiunte</i></td>
                            <?php } ?>
                            <td style='text-align: right'></td>
                            <td style='text-align: right'></td>
                            <td style='text-align: right'></td>
                            <td style='text-align: right'></td>
                        </tr>
                    <?php } ?>
                    <?php
                    foreach ($bolla as $prodotto) {
                        $num++;
                        $targets = array('Rif.', 'Scarico','rif.','scarico','Note:','note:');
                        $empty = false;
                        $iva = round(($prodotto['costo'] * $fattura->iva) / 100, 2);
                        foreach ($targets as $t) {
                            if (strpos($prodotto['prodotto'], $t) !== false) {
                                $empty = true;
                                break;
                            }
                        }
                        ?>
                        <?php if ($empty) { ?>
                            <tr>
                                <td <?php echo (strlen($prodotto['prodotto']) > 51) ? $num++ : ""; ?>><?php echo $prodotto['prodotto'] ?></td>
                                <td style='text-align: right'></td>
                                <td style='text-align: right'></td>
                                <td style='text-align: right'></td>
                                <td style='text-align: right'></td>
                            </tr>
                        <?php } else { ?>
                            <tr>
                                <td <?php echo (strlen($prodotto['prodotto']) > 51) ? $num++ : ""; ?>><?php echo $prodotto['prodotto'] ?></td>
                                <td style='text-align: right'><?php echo $prodotto['quantita']; ?></td>
                                <td style='text-align: right'><?php echo number_format($prodotto['costo'], 2, ",", ".") . " "; ?></td>
                                <td style='text-align: right'><?php echo $fattura->iva; ?></td>
                                <td style='text-align: right'><?php echo number_format($prodotto['costo'] * $prodotto['quantita'], 2, ",", ".") . " "; ?></td>
                            </tr>
                        <?php } ?>
                        <?php
                        $totali['netto'] += $prodotto['costo'] * $prodotto['quantita'];
                        $totali['iva'] += $iva * $prodotto['quantita'];
                        $totali['lordo'] += ($prodotto['costo'] + $iva) * $prodotto['quantita'];
                        ?>
                    <?php } ?>
                <?php } ?>
            <?php } ?>

            <?php
            $howmany = 18;
            $count = $howmany - $num;
            for ($i = 0; $i < $count; $i ++) {
                ?>
                <tr>
                    <td>&nbsp;</td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
                <?php
            }
            ?>
        </table>
        <div class="clearfix"></div>
        <table class="border" style="margin-top: 10px; text-align: right">
            <tr>
                <td style="text-align: right"><b>Totale netto:</b></td>
                <td style="text-align: right" width="15%"><?php echo number_format($totali['netto'], 2, ",", ".") ?> €</td>
            </tr>
            <tr>
                <td style="text-align: right"><b>Totale IVA:</b></td>
                <td style="text-align: right" width="15%"><?php echo number_format($totali['iva'], 2, ",", ".") ?> €</td>
            </tr>
            <tr>
                <td style="text-align: right"><b>Totale fattura:</b></td>
                <td style="text-align: right" width="15%"><?php echo number_format($totali['lordo'], 2, ",", ".") ?> €</td>
            </tr>
        </table>
        <div class="clearfix"></div>
        <hr/>
        <?php
        $pagamento = "";
        

        switch ($fattura->pagamento) {
            case 1:
                $pagamento = "Rimessa diretta";
                $databancari = new stdClass();
                $databancari->banca = "Intesa San Paolo";
                $databancari->IBAN = "IT31V0306951120615224138081";
                $dataPagamento = date("d/m/Y", strtotime($fattura->dataFattura));
                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ( (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 8) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12) )) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime($dataPagamento)));
                }
                break;
            case 2:
                $pagamento = "Ri.Ba. 30 gg";
                $dataPagamento = date("t/m/Y", strtotime("+1 month", strtotime($fattura->dataFattura)));
                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ( (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 8) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12) )) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime(str_replace("/", "-", $dataPagamento))));
                }
                break;
            case 3:
                $pagamento = "Ri.Ba. 60 gg";
                $dataPagamento = date("t/m/Y", strtotime("+2 month", strtotime($fattura->dataFattura)));

                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ( (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 8) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12) )) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime(str_replace("/", "-", $dataPagamento))));
                }
                break;
            case 4:
                $pagamento = "Ri.Ba. 90 gg";
                $dataPagamento = date("t/m/Y", strtotime("+3 month", strtotime($fattura->dataFattura)));
                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ((date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 08) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12))) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime(str_replace("/", "-", $dataPagamento))));
                }
                break;
            case 5:
                $pagamento = "Ri.Ba. 90 gg + 10 gg";
                $dataPagamento = date("10/m/Y", strtotime("+4 month", strtotime($fattura->dataFattura)));
                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ( (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 8) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12) )) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime(str_replace("/", "-", $dataPagamento))));
                }
                //$dataPagamento = date("10/m/Y", strtotime("+10 days",strtotime($dataPagamento)));
                break;
            case 6:
                $pagamento = "Bonifico Bancario 60 gg + 10 gg";
                $databancari = new stdClass();
                $databancari->banca = "Intesa San Paolo";
                $databancari->IBAN = "IT31V0306951120615224138081";
                $dataPagamento = date("10/m/Y", strtotime("+3 month", strtotime($fattura->dataFattura)));
                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ( (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 8) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12) )) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime(str_replace("/", "-", $dataPagamento))));
                }
                //$dataPagamento = date("10/m/Y", strtotime("+10 days",strtotime($dataPagamento)));
                break;
            case 7:
                $pagamento = "Bonifico Bancario 60 gg";
                $databancari = new stdClass();
                $databancari->banca = "Intesa San Paolo";
                $databancari->IBAN = "IT31V0306951120615224138081";
                $dataPagamento = date("t/m/Y", strtotime("+2 month", strtotime($fattura->dataFattura)));
                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ( (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 8) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12) )) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime(str_replace("/", "-", $dataPagamento))));
                }
                break;
            default:
                $pagamento = "Rimessa diretta";
                $databancari = new stdClass();
                $databancari->banca = "Intesa San Paolo";
                $databancari->IBAN = "IT31V0306951120615224138081";
                $dataPagamento = date("d/m/Y", strtotime($fattura->dataFattura));
                if ((date("d", strtotime(str_replace("/", "-", $dataPagamento))) == 31) && ( (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 8) || (date("m", strtotime(str_replace("/", "-", $dataPagamento))) == 12) )) {
                    $dataPagamento = date("d/m/Y", strtotime("+10 days", strtotime(str_replace("/", "-", $dataPagamento))));
                }
                break;
        }
        ?>
        <table class="border" style="margin-top: 10px; text-align: right">
            <tr>
                <td style="text-align: left" width="15%"><b>Condizioni di Pagamento:</b></td>
                <td style="text-align: left" width="50%"><?php echo $pagamento; ?></td>
                <td style="text-align: left" width="15%"><b>Data Scadenza Pagamento:</b></td>
                <td style="text-align: right"><?php echo $dataPagamento; ?></td>
            </tr>
            <?php
            if ($databancari->intestazione) {
                ?>
                <tr>
                    <td style="text-align: left" width="15%"><b>Intestatario:</b></td>
                    <td style="text-align: left"><?php echo $databancari->intestazione; ?></td>
                </tr>
                <?php
            }
            ?>
            <tr>
                <td style="text-align: left" width="15%"><b>Banca di Appoggio:</b></td>
                <td style="text-align: left" colspan="3"><?php echo $databancari->banca . " - " . $databancari->IBAN; ?></td>
            </tr>
        </table>
        <div class="clearfix"></div>
        <hr/>
    </body>
</html>